Package org.spongepowered.asm.mixin.transformer.ext

## Interface IClassGenerator

All Known Implementing Classes:
  `ArgsClassGenerator`

    public interface IClassGenerator

Base interface for class generators

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `generate​(java.lang.String name, org.objectweb.asm.tree.ClassNode classNode)` Generate (if possible) the specified class name.
`java.lang.String` `getName()` Get the name of this generator for logging and auditing purposes

### Method Detail

#### getName

    java.lang.String getName()

Get the name of this generator for logging and auditing purposes

#### generate

    boolean generate​(java.lang.String name,
                     org.objectweb.asm.tree.ClassNode classNode)

Generate (if possible) the specified class name. The generator should return `null` if it cannot generate the specified class, in order that the next generator in the chain can process the request. The first generator to return a value will halt further processing of the request.

Parameters:
  `name` - Class name to generate
  `classNode` - Empty ClassNode to populate
Returns:
  True if the class was generated